#include <iostream>
using namespace std;
int main(){
	int N,M,sreca=0;
	cin>>N>>M;
	int nizN[N];
	for(int i=0;i<N-1;i++){
		cin>>nizN[i];
	}
	int matricaM[M][2];
	for(int i=0;i<M-1;i++){
		cin>>matricaM[i][1]>>matricaM[i][2];
	}
	for(int i=0;i<N-1;i++){
		if(matricaM[i][1]<matricaM[i][2]){
			if(nizN[i]>0) nizN[i]*=(-1);
		}
		sreca+=nizN[i]*(matricaM[i][1]-matricaM[i][2]);
	}
	cout<<sreca;	
	return 0;
}